
/*
 *    MCreator note: This file will be REGENERATED on each build.
 */
package net.mcreator.craftablegunpowder.init;

import net.minecraftforge.registries.RegistryObject;
import net.minecraftforge.registries.ForgeRegistries;
import net.minecraftforge.registries.DeferredRegister;

import net.minecraft.world.level.block.Block;
import net.minecraft.world.item.Item;
import net.minecraft.world.item.CreativeModeTab;
import net.minecraft.world.item.BlockItem;

import net.mcreator.craftablegunpowder.item.SulfurDustItem;
import net.mcreator.craftablegunpowder.item.SaltpeterDustItem;
import net.mcreator.craftablegunpowder.item.CharcoalDustItem;
import net.mcreator.craftablegunpowder.CraftableGunpowderMod;

public class CraftableGunpowderModItems {
	public static final DeferredRegister<Item> REGISTRY = DeferredRegister.create(ForgeRegistries.ITEMS, CraftableGunpowderMod.MODID);
	public static final RegistryObject<Item> SULFUR_ORE = block(CraftableGunpowderModBlocks.SULFUR_ORE, CreativeModeTab.TAB_BUILDING_BLOCKS);
	public static final RegistryObject<Item> DEEPSLATE_SULFUR_ORE = block(CraftableGunpowderModBlocks.DEEPSLATE_SULFUR_ORE, CreativeModeTab.TAB_BUILDING_BLOCKS);
	public static final RegistryObject<Item> SALTPETER_ORE = block(CraftableGunpowderModBlocks.SALTPETER_ORE, CreativeModeTab.TAB_BUILDING_BLOCKS);
	public static final RegistryObject<Item> DEEPSLATE_SALTPETER_ORE = block(CraftableGunpowderModBlocks.DEEPSLATE_SALTPETER_ORE, CreativeModeTab.TAB_BUILDING_BLOCKS);
	public static final RegistryObject<Item> NETHER_SULFUR_ORE = block(CraftableGunpowderModBlocks.NETHER_SULFUR_ORE, CreativeModeTab.TAB_BUILDING_BLOCKS);
	public static final RegistryObject<Item> SULFUR_BLOCK = block(CraftableGunpowderModBlocks.SULFUR_BLOCK, CreativeModeTab.TAB_BUILDING_BLOCKS);
	public static final RegistryObject<Item> SALTPETER_BLOCK = block(CraftableGunpowderModBlocks.SALTPETER_BLOCK, CreativeModeTab.TAB_BUILDING_BLOCKS);
	public static final RegistryObject<Item> SULFUR = REGISTRY.register("sulfur", () -> new SulfurDustItem());
	public static final RegistryObject<Item> SALTPETER = REGISTRY.register("saltpeter", () -> new SaltpeterDustItem());
	public static final RegistryObject<Item> CHARCOAL_DUST = REGISTRY.register("charcoal_dust", () -> new CharcoalDustItem());

	private static RegistryObject<Item> block(RegistryObject<Block> block, CreativeModeTab tab) {
		return REGISTRY.register(block.getId().getPath(), () -> new BlockItem(block.get(), new Item.Properties().tab(tab)));
	}
}
